petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetApplicationContext

Gets the user-defined context for the timestepper.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetApplicationContext(TS ts,void *usrP)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

usrP -user context

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

TSSetApplicationContext()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex42.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages